Loading...
Searching...
No Matches
Magick::colorMapImage Class Reference

## Public Member Functions

| colorMapImage (const size_t index_, const Color &color_)
void | operator() (Image &image_) const

## Private Attributes

size_t | _index
Color | _color

## Detailed Description

Definition at line 1390 of file STL.h.

## Constructor & Destructor Documentation

## colorMapImage()

Magick::colorMapImage::colorMapImage | ( | const size_t | index_,
|  | const Color & | color_
| ) |  |

Definition at line 1286 of file STL.cpp.

: _index( index_ ),
_color( color_ )
{
}

## Member Function Documentation

## operator()()

void Magick::colorMapImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1292 of file STL.cpp.

{
image_.colorMap( _index, _color );
}

## Field Documentation

## _color

Color Magick::colorMapImage::_color

private

Definition at line 1399 of file STL.h.

## _index

size_t Magick::colorMapImage::_index

private

Definition at line 1398 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp